unit dati;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, DBTables, DB, Grids, DBGrids, ComCtrls,
  Menus, DBCtrls, Mask;

type
  Tfrm_dati = class(TForm)
    Panel2: TPanel;
    Panel4: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    tKlienti: TTable;
    tPirkumi: TTable;
    tPreces: TTable;
    sKlienti: TDataSource;
    sPirkumi: TDataSource;
    sPreces: TDataSource;
    tPirkumiPirkums_id: TIntegerField;
    tPirkumiKlients_fk: TIntegerField;
    tPirkumiPrece_fk: TIntegerField;
    tPirkumiDatums: TDateField;
    tPirkumiprece: TStringField;
    tPirkumiStringField: TStringField;
    qKLientsId: TQuery;
    qPirkumsId: TQuery;
    lapinas: TPageControl;
    tbPirkumi: TTabSheet;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    GroupBox2: TGroupBox;
    DBGrid2: TDBGrid;
    tbPreces: TTabSheet;
    DBGrid3: TDBGrid;
    qPreceId: TQuery;
    MnMnu: TMainMenu;
    Navigcija1: TMenuItem;
    Pirmais1: TMenuItem;
    Pdjais1: TMenuItem;
    Nkamais1: TMenuItem;
    Iepriekjais1: TMenuItem;
    Darbbas1: TMenuItem;
    Pievienot1: TMenuItem;
    Dzst1: TMenuItem;
    Izmaias1: TMenuItem;
    Apstiprint1: TMenuItem;
    Atcelt1: TMenuItem;
    Tabula1: TMenuItem;
    Atjaunot1: TMenuItem;
    Beigt1: TMenuItem;
    Lapias1: TMenuItem;
    Pirkumuievade1: TMenuItem;
    Preuievade1: TMenuItem;
    Panel5: TPanel;
    DBNavigator1: TDBNavigator;
    Panel1: TPanel;
    DBNavigator2: TDBNavigator;
    Panel3: TPanel;
    DBNavigator3: TDBNavigator;
    qSummas: TQuery;
    tKlientiKlients_id: TIntegerField;
    tKlientiUzvards: TStringField;
    tKlientiVards: TStringField;
    tKlientiAdrese: TStringField;
    tKlientiTelefons: TStringField;
    sSummas: TDataSource;
    Atskaite1: TMenuItem;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    procedure tKlientiNewRecord(DataSet: TDataSet);
    procedure tPirkumiNewRecord(DataSet: TDataSet);
    procedure FormShow(Sender: TObject);
    procedure tPrecesNewRecord(DataSet: TDataSet);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Pirmais1Click(Sender: TObject);
    procedure Pdjais1Click(Sender: TObject);
    procedure Nkamais1Click(Sender: TObject);
    procedure Iepriekjais1Click(Sender: TObject);
    procedure Pievienot1Click(Sender: TObject);
    procedure Dzst1Click(Sender: TObject);
    procedure Apstiprint1Click(Sender: TObject);
    procedure Atcelt1Click(Sender: TObject);
    procedure Atjaunot1Click(Sender: TObject);
    procedure Beigt1Click(Sender: TObject);
    procedure Pirkumuievade1Click(Sender: TObject);
    procedure Preuievade1Click(Sender: TObject);
    procedure tPirkumiAfterPost(DataSet: TDataSet);
    procedure Atskaite1Click(Sender: TObject);
    procedure tPirkumiBeforeDelete(DataSet: TDataSet);
  private
    { Private declarations }
    function GetKlientsId:longInt;
    function GetPirkumsId:longInt;
    function GetPreceId:longInt;
    procedure tabulasAtvert;
    procedure tabulasAizvert;
  public
    { Public declarations }
  end;


var
  frm_dati: Tfrm_dati;

implementation

uses atskaite, menu, start;

{$R *.DFM}



function Tfrm_dati.GetKlientsId:longInt;
begin
with qKlientsId do
begin
Close;Open;
if Fields[0].Value <> null then Result := Fields[0].Value
else Result := 1;
end;
end;

function Tfrm_dati.GetPirkumsId:longInt;
begin
with qPirkumsId do
begin
Close;Open;
if Fields[0].Value <> null then Result := Fields[0].Value
else Result := 1;
end;
end;

function Tfrm_dati.GetPreceId:longInt;
begin
with qPreceId do
begin
Close;Open;
if Fields[0].Value <> null then Result := Fields[0].Value
else Result := 1;
end;
end;


procedure Tfrm_dati.tKlientiNewRecord(DataSet: TDataSet);
begin
(DataSet as tTable).fieldByName('klients_id').Value := GetKlientsId
end;

procedure Tfrm_dati.tPirkumiNewRecord(DataSet: TDataSet);
begin
(DataSet as tTable).fieldByName('pirkums_id').Value := GetPirkumsId;
(DataSet as tTable).fieldByName('datums').asDateTIme := Now();
end;




procedure Tfrm_dati.tabulasAtvert;
begin
tKlienti.Open;
tPirkumi.Open;
tPreces.Open;
qSummas.Open;
end;


procedure Tfrm_dati.FormShow(Sender: TObject);
begin
tabulasAtvert;
end;


procedure Tfrm_dati.tPrecesNewRecord(DataSet: TDataSet);
begin
(DataSet as tTable).fieldByName('prece_id').Value := GetPreceId;
end;

procedure Tfrm_dati.BitBtn3Click(Sender: TObject);
begin
tPirkumi.Cancel;
tKlienti.Cancel;
tPreces.Cancel;
end;

procedure Tfrm_dati.BitBtn2Click(Sender: TObject);
begin
tPreces.Post;
tKlienti.Post;
tPirkumi.Post;

end;

procedure Tfrm_dati.BitBtn1Click(Sender: TObject);
begin
close
end;

procedure Tfrm_dati.tabulasAizvert;
begin
tKlienti.Close;
tPirkumi.Close;
tPreces.Close;
qSummas.Close;
end;


procedure Tfrm_dati.FormClose(Sender: TObject; var Action: TCloseAction);
begin
tabulasAizvert
end;

procedure Tfrm_dati.Pirmais1Click(Sender: TObject);
begin
tKlienti.First
end;

procedure Tfrm_dati.Pdjais1Click(Sender: TObject);
begin
tKlienti.Last
end;

procedure Tfrm_dati.Nkamais1Click(Sender: TObject);
begin
tKlienti.Next
end;

procedure Tfrm_dati.Iepriekjais1Click(Sender: TObject);
begin
tKlienti.Prior
end;

procedure Tfrm_dati.Pievienot1Click(Sender: TObject);
begin
tKlienti.Append
end;

procedure Tfrm_dati.Dzst1Click(Sender: TObject);
begin
tKlienti.Delete
end;

procedure Tfrm_dati.Apstiprint1Click(Sender: TObject);
begin
tKlienti.Post
end;

procedure Tfrm_dati.Atcelt1Click(Sender: TObject);
begin
tKlienti.Cancel
end;

procedure Tfrm_dati.Atjaunot1Click(Sender: TObject);
begin
tabulasAizvert;
tabulasAtvert;
end;

procedure Tfrm_dati.Beigt1Click(Sender: TObject);
begin
close;
end;

procedure Tfrm_dati.Pirkumuievade1Click(Sender: TObject);
begin
lapinas.activePage := tbPirkumi
end;

procedure Tfrm_dati.Preuievade1Click(Sender: TObject);
begin
lapinas.activePage := tbPreces
end;

procedure Tfrm_dati.tPirkumiAfterPost(DataSet: TDataSet);
begin
qSummas.Close;
qSummas.Open;
end;

procedure Tfrm_dati.Atskaite1Click(Sender: TObject);
begin
rep_atskaite.dati.Preview;
end;





procedure Tfrm_dati.tPirkumiBeforeDelete(DataSet: TDataSet);
begin

frm_start.addLog('Izmests klienta'+tKlienti['uzvards']+' pirkums'+tPirkumi['prece']);

end;

end.
