unit lietotaji;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Menus, DB, DBTables, Grids, DBGrids, DBCtrls, ExtCtrls,
  Mask;

type
  TFrm_Lietotaji = class(TForm)
    Panel3: TPanel;
    DBGrid1: TDBGrid;
    sLietotaji: TDataSource;
    MnMnu: TMainMenu;
    Navigcija1: TMenuItem;
    Pirmais1: TMenuItem;
    Pdjais1: TMenuItem;
    Nkamais1: TMenuItem;
    Iepriekjais1: TMenuItem;
    Darbbas1: TMenuItem;
    Pievienot1: TMenuItem;
    Dzst1: TMenuItem;
    Izmaias1: TMenuItem;
    Apstiprint1: TMenuItem;
    Atcelt1: TMenuItem;
    Tabula1: TMenuItem;
    Atjaunot1: TMenuItem;
    Beigt1: TMenuItem;
    Panel2: TPanel;
    Panel4: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    Panel5: TPanel;
    Label6: TLabel;
    DBEdit5: TDBEdit;
    Label1: TLabel;
    Label2: TLabel;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    BitBtn4: TBitBtn;
    tLietotaji: TTable;
    DBEdit3: TDBEdit;
    DBLookupComboBox1: TDBLookupComboBox;
    Label4: TLabel;
    tAmati: TTable;
    tLietotajiLietotajs_id: TIntegerField;
    tLietotajiUzvards: TStringField;
    tLietotajiVards: TStringField;
    tLietotajiLogin: TStringField;
    tLietotajiParole: TStringField;
    tLietotajiKontakta_informacija: TStringField;
    tLietotajiAmats_fk: TIntegerField;
    tLietotajiamats: TStringField;
    qLietotajsId: TQuery;
    qTemp: TQuery;
    procedure BitBtn4Click(Sender: TObject);
    procedure tLietotajiNewRecord(DataSet: TDataSet);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DBGrid3Enter(Sender: TObject);
    procedure DBGrid3Exit(Sender: TObject);
    procedure Pirmais1Click(Sender: TObject);
    procedure Pdjais1Click(Sender: TObject);
    procedure Nkamais1Click(Sender: TObject);
    procedure Iepriekjais1Click(Sender: TObject);
    procedure Pievienot1Click(Sender: TObject);
    procedure Dzst1Click(Sender: TObject);
    procedure Apstiprint1Click(Sender: TObject);
    procedure Atcelt1Click(Sender: TObject);
    procedure Beigt1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure tLietotajiBeforeEdit(DataSet: TDataSet);
  private
    { Private declarations }
    function LietotajsId:longInt;
  public
    { Public declarations }
  end;

var
  Frm_Lietotaji: TFrm_Lietotaji;

implementation

uses parolMan, dati, start;


{$R *.DFM}



procedure TFrm_Lietotaji.BitBtn4Click(Sender: TObject);
begin
with tLietotaji do begin
if (frm_start.getAmats <> 'ADMIN')
   and (fieldByName('login').asString<>frm_start.getLogin) then
  showmessage('Jums nav tiesibas maint svea lietotja paroli !')
else
    frm_ParolesMaina.ShowModal;
//if not (tLietotaji in DsEdit) then

end;
end;


function TFrm_Lietotaji.LietotajsId:longInt;
begin
with qLietotajsId do
begin
Close;
Open;
if Fields[0].Value <> null then
Result := Fields[0].Value
else
Result := 1;
end;
end;

procedure TFrm_Lietotaji.tLietotajiNewRecord(DataSet: TDataSet);
begin
(DataSet as tTable).fieldByName('lietotajs_id').Value := LietotajsId
end;

procedure TFrm_Lietotaji.FormShow(Sender: TObject);
begin
tLietotaji.Close;
tAmati.Close;

if frm_start.getAmats = 'ADMIN' then
  tLietotaji.ReadOnly := False
else
  tLietotaji.ReadOnly := True;

tLietotaji.Open;
tAmati.Open;

end;

procedure TFrm_Lietotaji.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
tAmati.Close;
tLietotaji.Open;
end;

procedure TFrm_Lietotaji.DBGrid3Enter(Sender: TObject);
begin
frm_Lietotaji.Tag := 1;
end;

procedure TFrm_Lietotaji.DBGrid3Exit(Sender: TObject);
begin
frm_Lietotaji.Tag := 0
end;


procedure TFrm_Lietotaji.Pirmais1Click(Sender: TObject);
begin
tLietotaji.First
end;

procedure TFrm_Lietotaji.Pdjais1Click(Sender: TObject);
begin
tLietotaji.Last
end;

procedure TFrm_Lietotaji.Nkamais1Click(Sender: TObject);
begin
tLietotaji.Next
end;

procedure TFrm_Lietotaji.Iepriekjais1Click(Sender: TObject);
begin
tLietotaji.Prior
end;

procedure TFrm_Lietotaji.Pievienot1Click(Sender: TObject);
begin
tLietotaji.Append
end;

procedure TFrm_Lietotaji.Dzst1Click(Sender: TObject);
begin
tLietotaji.Delete
end;

procedure TFrm_Lietotaji.Apstiprint1Click(Sender: TObject);
begin
tAmati.Post;
tLietotaji.Post;
end;

procedure TFrm_Lietotaji.Atcelt1Click(Sender: TObject);
begin
tAmati.Cancel;
tLietotaji.Cancel;
end;

procedure TFrm_Lietotaji.Beigt1Click(Sender: TObject);
begin
close
end;

procedure TFrm_Lietotaji.BitBtn1Click(Sender: TObject);
begin
close
end;

procedure TFrm_Lietotaji.BitBtn2Click(Sender: TObject);
begin
tAmati.Post;
tLietotaji.Post;
end;

procedure TFrm_Lietotaji.BitBtn3Click(Sender: TObject);
begin
tAmati.Cancel;
tLietotaji.Cancel;
end;

procedure TFrm_Lietotaji.tLietotajiBeforeEdit(DataSet: TDataSet);
begin
if tLietotaji.FieldByName('login').asString <> frm_start.getLogin then
 if not (frm_Start.getAmats='ADMIN') then begin
   showmessage('Jums nav administratora tiesbu, labot lietotja informciju !');
   Abort;
end;
end;



end.
