unit menu;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, DB, StdCtrls, ExtCtrls;

type
  Tfrm_menu = class(TForm)
    MainMenu1: TMainMenu;
    Administrcija1: TMenuItem;
    Lietotji1: TMenuItem;
    Lietotjudarbbas1: TMenuItem;
    Dati1: TMenuItem;
    Ievadana1: TMenuItem;
    Atskaites1: TMenuItem;
    Parprogrammu1: TMenuItem;
    Beigt1: TMenuItem;
    Izdevumi1: TMenuItem;
    datubaze: TDatabase;
    Opcijas1: TMenuItem;
    Fonakrasa1: TMenuItem;
    Statusbar: TPanel;
    Nomaintpieslgumu1: TMenuItem;
    Image1: TImage;
    procedure Lietotji1Click(Sender: TObject);
    procedure Ievadana1Click(Sender: TObject);
    procedure Atskaites1Click(Sender: TObject);
    procedure Beigt1Click(Sender: TObject);
    procedure Parprogrammu1Click(Sender: TObject);
    procedure Lietotjudarbbas1Click(Sender: TObject);
    procedure Izdevumi1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Fonakrasa1Click(Sender: TObject);
    procedure Tekstakrasa1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure Nomaintpieslgumu1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ShowHint(Sender: TObject);
  end;


var
  frm_menu: Tfrm_menu;
  kad: boolean;


implementation

uses GPARPROGS, lietotaji, dati, atskaite, lietinfo, start, Unit7;

{$R *.DFM}

procedure Tfrm_menu.ShowHint(Sender: TObject);
begin
  Statusbar.Caption := Application.Hint;
end;


procedure Tfrm_menu.Lietotji1Click(Sender: TObject);
begin
frm_lietotaji.show;
end;

procedure Tfrm_menu.Ievadana1Click(Sender: TObject);
begin
frm_dati.show;
end;

procedure Tfrm_menu.Atskaites1Click(Sender: TObject);
begin
rep_atskaite.show;
end;

procedure Tfrm_menu.Beigt1Click(Sender: TObject);
begin
close;
end;

procedure Tfrm_menu.Parprogrammu1Click(Sender: TObject);
begin
GPARPROG.ShowModal
end;

procedure Tfrm_menu.Lietotjudarbbas1Click(Sender: TObject);
begin
frm_lietotajuDarbibas.show;
end;

procedure Tfrm_menu.Izdevumi1Click(Sender: TObject);
begin
rep_atskaite.dati.Preview;
end;

procedure Tfrm_menu.FormShow(Sender: TObject);
begin
Caption := 'Grmatvedbas informatv sistma ! Lietotjs: '+frm_start.getLogin;
end;

procedure Tfrm_menu.FormClose(Sender: TObject; var Action: TCloseAction);
begin
frm_start.AddLog('Atsldzies no datu bzes');
frm_start.close;
end;

procedure Tfrm_menu.Fonakrasa1Click(Sender: TObject);
begin
  Krasudlg.Caption:='Fona krasa';
  Krasudlg.Show;
  kad:=True;
end;

procedure Tfrm_menu.Tekstakrasa1Click(Sender: TObject);
begin
  Krasudlg.Caption:='Teksta krasa';
  Krasudlg.Show;
  kad:=False;
end;

procedure Tfrm_menu.FormCreate(Sender: TObject);
begin
  Application.OnHint :=ShowHint;
end;

procedure Tfrm_menu.FormActivate(Sender: TObject);
begin
StatusBar.Caption:='Gatavs darbam';
end;

procedure Tfrm_menu.FormDeactivate(Sender: TObject);
begin
StatusBar.Caption:=' ';
end;

procedure Tfrm_menu.Nomaintpieslgumu1Click(Sender: TObject);
begin
frm_Menu.Hide;
frm_start.Show;
frm_start.Edt_User.Text := '';
frm_start.Edt_Password.Text := '';
frm_start.addLog('Lietotjs: '+frm_start.getLogin+' atsldzies no datu bzes');
end;

end.
