unit start;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, StdCtrls, Buttons, ExtCtrls;

type
  Tfrm_Start = class(TForm)
    Panel3: TPanel;
    Panel1: TPanel;
    Btn_Ok: TBitBtn;
    Btn_Cancel: TBitBtn;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edt_User: TEdit;
    Edt_Password: TEdit;
    Edt_ConnectString: TEdit;
    qLietotajs: TQuery;
    Memo1: TMemo;
    procedure Btn_OkClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Btn_CancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function AddLog(t:string):string;
    function getLogin:string;
    function getAmats:string;
    function getParole:string;
  end;


var
  frm_Start: Tfrm_Start;

implementation

uses menu;

{$R *.DFM}


function Tfrm_Start.getLogin:string;
begin
with frm_Start.qLietotajs do begin
    result := fieldByName('login').asString;
end;
end;

function Tfrm_Start.getAmats:string;
begin
with frm_Start.qLietotajs do begin
    close;
    open;
    result := fieldByName('amats').asString;
end;
end;

function Tfrm_Start.getParole:string;
begin
with frm_Start.qLietotajs do begin
    close;
    open;
    result := fieldByName('parole').asString;
end;
end;


function Tfrm_Start.AddLog(t:string):string;
var f:textFile;
    fails:string;
begin
fails:=getLogin+'.log';
// Izveidojam failu
if not FileExists(fails) then begin
   assignFile(f,fails);
   rewrite(f);
   closeFile(f)
end;
if FileExists(fails) then begin
  with frm_start.memo1.lines do begin
       clear;
       loadfromfile(fails);
       add('Datums: '+dateTimeToStr(Now())+' Darbba: '+t);
       savetofile(fails);
  end;
end;



end;




procedure Tfrm_Start.Btn_OkClick(Sender: TObject);
begin
with qLietotajs do begin
  close;
  paramByName('login').asString := Edt_User.Text;
  paramByName('parole').asString := Edt_Password.Text;
  //paramByName('login').asString := 'b';
  //paramByName('parole').asString := 'b';

  open;
  if fields[0].Value = null then showmessage('Nepareizi nordts lietotjs vai parole')
  else
  begin
      frm_start.hide;
      frm_menu.Show;
      addLog('Lietotjs: '+getLogin+' piesldzies datu bzei');

  end;

end;
end;


procedure Tfrm_Start.Button1Click(Sender: TObject);
begin
with qLietotajs do begin
  close;
  paramByName('login').asString := Edt_User.Text;
  paramByName('parole').asString := Edt_Password.Text;
  //paramByName('login').asString := 'a';
  //paramByName('parole').asString := 'a';
  open;
end;
end;

procedure Tfrm_Start.Btn_CancelClick(Sender: TObject);
begin
close
end;

end.
